Bug 388602 - Add filemanager/dolphin intergration
Summary: Add filemanager/dolphin intergration
Status: RESOLVED FIXED
Alias: None
Product: Plasma Vault
Classification: Plasma
Component: general (show other bugs)
Version: unspecified
Platform: Archlinux Linux
: NOR normal
Target Milestone: ---
Assignee: Ivan Čukić
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2018-01-06 01:53 UTC by Björn Bidar (Thaodan)
Modified: 2019-03-23 13:14 UTC (History)
2 users (show)

See Also:
Latest Commit:
Version Fixed In:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Björn Bidar (Thaodan) 2018-01-06 01:53:00 UTC
Please add something like an reminder to notify the user the vault is not open.
For example like "Looks like this vault is not opened, do you want to open it?"
Second an option to umount it via the context menu of the folder.
Or to summary it: a beter usage that is not tied to the plasmoid.
Comment 1 ultr 2019-03-16 15:59:45 UTC
It would be great to have Vaults listed in the Places panel in Dolphin.
With the ability to open/close them from there, and an indicator of their current state.
Comment 2 Ivan Čukić 2019-03-23 13:14:08 UTC
Git commit a8210056def276ea1b41db666632466f801b17f1 by Ivan Cukic.
Committed on 23/03/2019 at 13:13.
Pushed by ivan into branch 'master'.

FileItem plugin for opening and closing Vaults from Dolphin

Summary:
Adds a context menu item when the user right-clicks a directory that is a registered vaults mount point.

Reviewers: davidedmundson

Reviewed By: davidedmundson

Subscribers: plasma-devel

Tags: #plasma

Differential Revision: https://phabricator.kde.org/D19991

M  +1    -0    CMakeLists.txt
A  +10   -0    fileitemplugin/CMakeLists.txt
A  +98   -0    fileitemplugin/plasmavaultfileitemaction.cpp     [License: GPL (v2+)]
A  +43   -0    fileitemplugin/plasmavaultfileitemaction.h     [License: GPL (v2+)]
A  +13   -0    fileitemplugin/plasmavaultfileitemaction.json

https://commits.kde.org/plasma-vault/a8210056def276ea1b41db666632466f801b17f1